Name:		rutgers-pymirror
Version:	1.0.0
Release:	1%{?dist}
Summary:	A Python successor to rutgers-mirror-scripts

Group:		System Environment/Base
License:	MIT
URL:		https://github.com/oss/rutgers-pymirror
Source0:	https://github.com/oss/rutgers-pymirror/archive/%{version}.tar.gz

BuildRequires:	python
Requires:	python

%description
A Python successor to rutgers-mirror-scripts, with better reporting of errors.
It is easy to add new distros to sync to the configuration file, and by only
printing errors to the console by default, it works well with cron monitoring.
With the check command line argument, you can quickly check if a distro is
out of sync by a certain amount of hours, or display a list of all out-of-sync
distros.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
cp rutgers-pymirror.cfg.example $RPM_BUILD_ROOT%{_sysconfdir}/

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp rutgers-pymirror $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT/var/lock/rutgers-pymirror
mkdir -p $RPM_BUILD_ROOT/var/log/rutgers-pymirror

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/rutgers-pymirror
/var/log/rutgers-pymirror/
/var/lock/rutgers-pymirror
%config %{_sysconfdir}/rutgers-pymirror.cfg.example


%changelog
* Fri Jul 22 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 1.0.0-1
- Version bump

* Thu Jul 21 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 1.0.0b3-1
- Version bump 

* Mon Jul 18 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 1.0.0b2-1
- Version bump

* Thu Jul 14 2016 Derek Maciel <dam402@nbcs.rutgers.edu> 1.0.0b-1
- Version bump

* Wed Jul 13 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 0.9.1-1
- Version bump

* Wed Jul 13 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 0.9-1
- Initial build for Rutgers CentOS 6
